package com.caimei.mapper.cmMapper;

import com.caimei.model.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2022/7/6
 */
@Mapper
public interface AuthTemplateMapper {
    /**
     * 模板列表
     * @param listType
     * @param authUserId
     * @return
     */
    List<TemplateVo> getTemplateList(@Param("listType") Integer listType, @Param("authUserId") Integer authUserId);

    void insertTemplate(@Param("templateImage") String templateImage, @Param("authUserId") Integer authUserId, @Param("templateSize") String templateSize, @Param("qrPosition") String qrPosition, @Param("qrSize") Integer qrSize, @Param("logoSize") String logoSize);

    void updateSelective(@Param("templateId") Integer templateId, @Param("templateImage") String templateImage, @Param("templateSize") String templateSize, @Param("authUserId") Integer authUserId, @Param("status") Integer status, @Param("qrPosition") String qrPosition, @Param("qrSize") Integer qrSize, String logoSize, @Param("authFlag") Integer authFlag, @Param("productFlag") Integer productFlag);

    void clearAuthFlag(Integer authUserId);

    void clearProductFlag(Integer authUserId);

    TemplateVo getTemplateFormData(@Param("templateId") Integer templateId, @Param("authId") Integer authId, @Param("authUserId") Integer authUserId, @Param("authFlag") Integer authFlag, @Param("status") Integer status);
}
