package com.caimei.mapper.cmMapper;

import com.caimei.model.po.CertificateLogisticsPo;
import com.caimei.model.po.CmBrandAuthPo;
import com.caimei.model.po.LdmDataPo;
import com.caimei.model.po.TownPo;
import com.caimei.model.vo.AuthFormVo;
import com.caimei.model.vo.AuthVo;
import com.caimei.model.vo.CertificateLogisticsVo;
import com.caimei.model.vo.LogisticsCompanyVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2022/6/15
 */
@Mapper
public interface LogisticsMapper {

    void sendCertificate(CertificateLogisticsPo logistics);

    CertificateLogisticsVo getCertificateLogistics(Integer authId);

    List<LogisticsCompanyVo> getLogisticsCompanyList(Integer companyId);
}
