package com.caimei.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/12
 */
@ApiModel("修改密码")
@Data
public class PasswordDto {

    @NotNull
    @ApiModelProperty("用户id")
    Integer authUserId;

    @NotNull
    @ApiModelProperty("旧密码")
    String oldPassword;

    @NotNull
    @ApiModelProperty("新密码")
    String newPassword;

    @NotNull
    @ApiModelProperty("确认密码")
    String confirmPwd;
}
