package com.caimei.model.po;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * cm_brand_article
 * @author 
 */
@Data
public class CmBrandArticle implements Serializable {
    /**
     * 文章id
     */
    private Integer id;

    /**
     * 文章标题
     */
    private String title;

    /**
     * 文章图片
     */
    private String image;

    /**
     * 审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer auditStatus;

    /**
     * 审核不通过原因
     */
    private String invalidReason;

    /**
     * 上线状态：0已下线，1已上线，2待上线
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    private static final long serialVersionUID = 1L;
}