package com.caimei.model.po;

import lombok.Data;

import java.util.Date;

/**
 * cm_brand_file
 * @author  Aslee
 */
@Data
public class CourseFilePo {
    /**
     * 文件id
     */
    private Integer id;

    /**
     * 供应商用户id
     */
    private Integer authUserId;

    /**
     * 文件标题
     */
    private String title;

    /**
     * 文件名称
     */
    private String name;

    /**
     * oss名称
     */
    private String ossName;

    /**
     * 文件类型：1视频，2文档
     */
    private Integer fileType;

    /**
     * 文件模块：1品牌授权-授权列表，2机构管理-机构列表
     */
    private String fileModule;

    /**
     * 创建时间
     */
    private Date createTime;
}