package com.caimei.model.po;

import lombok.Data;

import java.util.Date;

/**
 * cm_brand_file
 * @author  Aslee
 */
@Data
public class FilePo {
    /**
     * 文件id
     */
    private Integer id;

    /**
     * 供应商用户id
     */
    private Integer authUserId;

    /**
     * 文件类型：1单个文件，2资料包
     */
    private Integer fileType;

    /**
     * 文件标题
     */
    private String title;

    /**
     * 文件名称
     */
    private String name;

    /**
     * 文件预览链接
     */
    private String previewUrl;

    /**
     * oss名称
     */
    private String downloadUrl;

    /**
     * 审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer auditStatus;

    /**
     * 审核不通过原因
     */
    private String invalidReason;

    /**
     * 上线状态：0已下线，1已上线，2待上线
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 审核人用户id
     */
    private Integer auditBy;

    /**
     * 审核时间
     */
    private Date auditTime;

    /**
     * 是否查看过：1是，0否
     */
    private Integer checkFlag;
}