package com.caimei.model.po;

import lombok.Data;

import java.util.Date;

/**
 * cm_brand_article
 * @author  Aslee
 */
@Data
public class ImagePo {
    /**
     * 图片id
     */
    private Integer id;

    /**
     * 供应商用户id
     */
    private Integer authUserId;

    /**
     * 图片标题
     */
    private String title;

    /**
     * 压缩包链接
     */
    private String zipUrl;

    /**
     * 审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer auditStatus;

    /**
     * 审核不通过原因
     */
    private String invalidReason;

    /**
     * 上线状态：0已下线，1已上线，2待上线
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 审核人用户id
     */
    private Integer auditBy;

    /**
     * 审核时间
     */
    private Date auditTime;

    /**
     * 是否查看过：1是，0否
     */
    private Integer checkFlag;
}