package com.caimei.model.po;

import com.caimei.model.vo.ProductFormVo;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * cm_brand_auth
 * @author 
 */
@Data
public class LdmDataPo {
    private Integer id;

    /**
     * 供应商用户id
     */
    private Integer authUserId;

    /**
     * 被授权方名称
     */
    private String authParty;

    /**
     * 省id
     */
    private Integer provinceId;

    /**
     * 市id
     */
    private Integer cityId;

    /**
     * 区id
     */
    private Integer townId;

    private String regId1;
    private String regId2;
    private String regId3;

    /**
     * 区域
     */
    private String area;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 经度
     */
    private BigDecimal lng;

    /**
     * 纬度
     */
    private BigDecimal lat;

    /**
     * 联系方式
     */
    private String mobile;

    /**
     * 机构logo
     */
    private String logo;


    private String pic1;

    private String pic2;

    private String pic3;

    private String pic4;

    private String pic5;

    private String lngAndLat;

    /**
     * 上线状态：0已下线，1已上线，2待上线
     */
    private Integer status;

    /**
     * 审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer auditStatus;

    /**
     * 创建人Id
     */
    private Integer createBy;

    /**
     * 删除标志：1已删除，0不是
     */
    private Integer delFlag;

    /**
     * 商品列表
     */
    private List<ProductFormVo> productList;

    /**
     * 商品参数数量最大值
     */
    private Integer maxParamNum;

    /**
     * 店铺备注
     */
    private String remarks;

}