package com.caimei.model.po;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;


/**
 * Description
 *
 * @author : Aslee
 * @date : 2022/2/14
 */
@Data
public class VipHistoryPo {
    private Integer id;

    /**
     * 用户id
     */
    private Integer authUserId;

    /**
     *会员套餐id
     */
    private Integer packageId;

    /**
     *套餐时长
     */
    private String duration;

    /**
     *生效时间
     */
    private Date beginTime;

    /**
     *到期时间
     */
    private Date endTime;

    /**
     *支付状态： 0未付款 1 已付款
     */
    private Integer payStatus;

    /**
     *用户付款方式：1线上，2系统赠送
     */
    private Integer payWay;

    /**
     *付款类型：1建设银行7297、2广发银行0115、3中信银行7172、4中信银行0897、5中信银行0897-财付通、6中信银行0897-支付宝、7线上-支付宝、8线上-微信支付、9线上-快钱支付、10口头返佣、11广发银行5461、12PC-B2B网银、13PC-微信支付、14PC-支付宝、15小程序-微信支付、16余额抵扣、17PC-B2C网银
     */
    private Integer payType;

    /**
     *支付金额
     */
    private BigDecimal price;

    /**
     *订制服务，以，分开
     */
    private String services;

    /**
     *购买时间
     */
    private Date payTime;
}
