package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import java.util.Date;

/**
 * cm_brand_club_user
 * @author Aslee
 * @date 2021/7/8
 */
@Data
public class ClubUserVo {
    @ApiModelProperty("机构用户id")
    private Integer clubUserId;

    @ApiModelProperty("机构id")
    private Integer authId;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("微信昵称")
    private String nickName;

    @ApiModelProperty("openId")
    private String openId;

    @ApiModelProperty("启用状态：0停用，1启用")
    private Integer status;

    @ApiModelProperty("添加时间")
    private Date addTime;
}