package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * cm_brand_doctor
 * @author  Aslee
 * @date 2021/5/17
 */
@Data
public class DoctorListVo {
    @ApiModelProperty("医师id")
    private Integer doctorId;

    @ApiModelProperty("医师姓名")
    private String doctorName;

    @ApiModelProperty("从业资格证编号")
    private String certificateNo;

    @ApiModelProperty("上线状态：0已下线，1已上线，2待上线")
    private Integer status;

    @ApiModelProperty("审核状态：0审核未通过，1审核通过，2待审核")
    private Integer auditStatus;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("审核人")
    private String auditBy;

    @ApiModelProperty("审核时间")
    private Date auditTime;

    @ApiModelProperty("审核不通过原因")
    private String invalidReason;

    @ApiModelProperty("是否查看过：1是，0否")
    private Integer checkFlag;
}