package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * cm_brand_club_feedback
 * @author Aslee
 * @date 2021/5/17
 */
@Data
public class FeedbackVo {
    @ApiModelProperty("反馈id")
    private Integer feedbackId;

    @ApiModelProperty("机构名称")
    private String authParty;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("反馈内容")
    private String content;

    @ApiModelProperty("提交时间")
    private Date commitTime;

    @ApiModelProperty("处理状态：0未处理，1已处理")
    private Integer handleStatus;

    @ApiModelProperty("处理结果")
    private String handleResult;

    @ApiModelProperty("处理时间")
    private Date handleTime;
}