package com.caimei.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Data
public class ProductRelationVo implements Serializable {
    /**
     * 机构设备关联id
     */
    private Integer relationId;

    /**
     * 授权机构id
     */
    private Integer authId;

    /**
     * 设备id
     */
    private Integer productId;

    /**
     * 认证方式：1新设备认证，2关联已认证设备
     */
    private Integer authType;
}
