package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Aslee
 * @date 2022/7/6
 */
@Data
public class TemplateListVo {
    /**
     * 模板id
     */
    private Integer templateId;

    /**
     *供应商用户id
     */
    private Integer authUserId;

    /**
     *作为机构认证模板：1是，其余否
     */
    private Integer authFlag;

    /**
     *作为设备认证模板：1是，其余否
     */
    private Integer productFlag;

    /**
     * 二维码位置：top,left
     */
    private String qrPosition;

    /**
     * 状态：0停用，1启用
     */
    private Integer status;

    /**
     * 添加时间
     */
    private Date addTime;
}
