package com.caimei.model.vo;


import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;


/**
 * Description
 *
 * @author : Aslee
 * @date : 2022/2/15
 */
@Data
public class VipHistoryListVo {
    /**
     * 购买记录id
     */
    private Integer historyId;
    /**
     * 购买套餐
     */
    private String duration;
    /**
     * 购买价格
     */
    private BigDecimal price;
    /**
     * 购买方式：1平台赠送，2支付宝，3微信，4企业网银，5个人网银
     */
    private Integer payWay;
    /**
     * 会员状态：0已过期，1生效中，2待生效，3非会员
     */
    private Integer vipStatus;
    /**
     * 购买时间
     */
    private Date payTime;
    /**
     * 到期时间
     */
    private Date endTime;
    /**
     * 订制需求
     */
    private String services;
}
