package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 微信公众号机构列表
 * @author Aslee
 * @date 2021/5/17
 */
@Data
public class WxClubListVo {
    @ApiModelProperty("机构id")
    private Integer authId;

    @ApiModelProperty("机构名称")
    private String authParty;

    @ApiModelProperty("省市区")
    private String area;

    @ApiModelProperty("详细地址")
    private String address;

    @ApiModelProperty("联系方式")
    private String mobile;

    @ApiModelProperty("机构logo")
    private String logo;

    @ApiModelProperty("距离")
    private BigDecimal distance;
}