package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.annotation.Transient;

import java.util.Date;

/**
 * cm_brand_club_user
 * @author Aslee
 * @date 2021/7/8
 */
@Data
public class WxClubUserVo {
    @ApiModelProperty("机构用户id")
    private Integer clubUserId;

    @ApiModelProperty("机构id")
    private Integer authId;

    @ApiModelProperty("供应商用户id")
    private Integer authUserId;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("openId")
    private String openId;

    @ApiModelProperty("管理员审核状态")
    private String auditStatus;

    @ApiModelProperty("供应商审核状态")
    private String shopAuditStatus;

    @ApiModelProperty("accessToken")
    private String accessToken;

    @ApiModelProperty("状态：0停用，1启用")
    private Integer status;
    /***
     * 机构名称
     * */
    private String authParty;

    /***
     * 用户头像
     * */
    private String logo;
}