package com.caimei.service.auth;


import com.caimei.model.ResponseJson;
import com.caimei.model.vo.AddressSelectVo;

import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2022/1/6
 */
public interface AddressService {

    /**
     * 收货地址下拉选项列表
     * @param type     选项类型：0省（默认），1市，2区
     * @param parentId 父级地址Id
     */
    ResponseJson<List<AddressSelectVo>> getSelectAddress(Integer type, Integer parentId);

    /**
     * 所有地址下拉完整数据
     */
    ResponseJson<List<AddressSelectVo>> getAllSelectAddress();

    ResponseJson addressTest() throws Exception;
}
