package com.caimei.service.auth;

import com.alibaba.fastjson.JSONArray;
import com.caimei.model.ResponseJson;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2022/6/15
 */
public interface LogisticsService {

    /**
     * 寄送机构授权牌
     */
    ResponseJson sendCertificate(Integer authId, Integer companyId, String logisticsNumber, JSONArray imageList, String remarks, String mobile);

    /**
     * 寄送授权牌物流详情
     * @param authId
     * @return
     */
    ResponseJson certificateLogistics(Integer authId);

    /**
     * 物流公司数据
     * @return
     */
    ResponseJson getLogisticsCompany();
}
