package com.caimei.service.wechat;

import com.caimei.model.ResponseJson;

import java.util.Map;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/7/14
 */
public interface SDKService {

    /**
     * 获取公众号配置数据
     * @param appId         供应商公众号appId
     * @param url           公众号url
     * @return
     */
    ResponseJson<Map<String, String>> getConfigData(String appId, String url) throws Exception;

    /**
     * 获取公众号类型
     * @param appId
     * @return Integer:1服务号，2订阅号
     */
    ResponseJson<Integer> getWxAccountType(String appId);
}
