package com.caimei.mapper.cmMapper;

import com.caimei.model.vo.AddressSelectVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2022/1/6
 */
@Mapper
public interface AddressMapper {
    /**
     * 获取所有省份列表
     */
    List<AddressSelectVo> getAllProvinceList();
    /**
     * 获取当前省份下的所有城市列表
     * @param provinceId 省份Id
     */
    List<AddressSelectVo> getCityListByProvinceId(Integer provinceId);
    /**
     * 获取当前城市下的所有地区列表
     * @param cityId
     */
    List<AddressSelectVo> getTownListByCityId(Integer cityId);
}
