package com.caimei.mapper.cmMapper;

import com.caimei.model.dto.PackageDto;
import com.caimei.model.po.VipHistoryPo;
import com.caimei.model.vo.VipPackageVo;
import com.caimei.model.vo.UserLoginVo;
import com.caimei.model.vo.VipServiceVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Mapper
public interface UserMapper {

    UserLoginVo getAdminUserByName(String name);

    UserLoginVo getShopUserByMobile(String mobile);

    String getPasswordByUserId(Integer authUserId);

    void updatePasswordByUserId(@Param("authUserId") Integer authUserId, @Param("newPassword") String newPassword);

    UserLoginVo getShopUserByAccount(String account);
}
