package com.caimei.model.dto;


import com.caimei.model.po.ProductParamPo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;


/**
 * Description
 *
 * @author : Aslee
 * @date : 2022/2/14
 */
@Data
public class PackageDto {
    @ApiModelProperty("套餐时长")
    private Integer duration;

    @ApiModelProperty("套餐规格：1月，2年")
    private Integer unit;

    @ApiModelProperty("原价")
    private BigDecimal originalPrice;

    @ApiModelProperty("现价")
    private BigDecimal price;
}
