package com.caimei.model.po;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * cm_brand_article
 * @author  Aslee
 */
@Data
public class ArticlePo {
    /**
     * 文章id
     */
    private Integer id;

    /**
     * 供应商用户id
     */
    private Integer authUserId;

    /**
     * 文章标题
     */
    private String title;

    /**
     * 文章图片
     */
    private String image;

    /**
     * 文章内容
     */
    private String content;

    /**
     * 审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer auditStatus;

    /**
     * 审核不通过原因
     */
    private String invalidReason;

    /**
     * 上线状态：0已下线，1已上线，2待上线
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 审核人用户id
     */
    private Integer auditBy;

    /**
     * 审核时间
     */
    private Date auditTime;

    /**
     * 是否查看过：1是，0否
     */
    private Integer checkFlag;

    /**
     * 排序值
     */
    private Integer sort;
    /**
     * 文章类型1自主2第三方
     */
    private Integer articleType;
    /**
     * 第三方文章链接
     */
    private String articleLink;
}