package com.caimei.model.po;

import com.caimei.model.dto.ProductSaveDto;
import lombok.Data;
import org.apache.poi.xssf.usermodel.XSSFSheet;

import java.util.List;

/**
 * 授权信息导入po
 * @author Aslee
 */
@Data
public class AuthImportPo {

    /**
     * 授权机构
     */
    private String authParty;

    /**
     * 授权机构对应的商品列表
     */
    private List<ProductSaveDto> productList;
}
