package com.caimei.model.po;

import com.caimei.model.vo.ProductFormVo;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * cm_brand_auth
 * @author 
 */
@Data
public class CmBrandDoctorPo {
    private Integer id;

    /**
     * 供应商用户id
     */
    private Integer authUserId;

    /**
     * 机构id
     */
    private Integer authId;

    /**
     * 医师类型：1操作医师，2培训医师
     */
    private Integer doctorType;

    /**
     * 医师名称
     */
    private String name;

    /**
     * 从业资格证编号
     */
    private String certificateNo;

    /**
     * 所在机构
     */
    private String clubName;

    /**
     * 医师照片
     */
    private String image;

    /**
     * 上线状态：0已下线，1已上线，2待上线
     */
    private Integer status;

    /**
     * 审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer auditStatus;

    /**
     * 创建人Id
     */
    private Integer createBy;

    /**
     * 管理员审核人id，对应cm_brand_auth_user
     */
    private Integer auditBy;

    /**
     * 审核时间
     */
    private Date auditTime;

    /**
     * 是否查看过：1是，0否
     */
    private Integer checkFlag;

}