package com.caimei.model.po;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * cm_brand_auth_product
 *
 * @author Aslee
 * @date 2021/5/17
 */
@Data
public class ProductTypePo {
    /**
     * 设备分类id
     */
    private Integer productTypeId;

    /**
     * 供应商用户id
     */
    private Integer authUserId;

    /**
     * 品牌信息id
     */
    private Integer infoId;

    /**
     * 品牌名称
     */
    private String brandName;

    /**
     * 设备分类名称
     */
    private String name;

    /**
     * 设备分类图片
     */
    private String image;

    /**
     * pc端水印图片
     */
    private String pcImage;

    /**
     * 小程序端水印图片
     */
    private String appletsImage;

    /**
     * 上线状态：0已下线，1已上线，2待上线
     */
    private Integer status;

    /**
     * 审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer auditStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人Id
     */
    private Integer createBy;

    /**
     * 创建人Id
     */
    private Integer createSource;

    /**
     * 管理员审核人id，对应cm_brand_auth_user
     */
    private Integer auditBy;

    /**
     * 审核时间
     */
    private Date auditTime;

    /**
     * 参数列表
     */
    private List<ProductParamPo> paramList;

    /**
     * 是否查看过：1是，0否
     */
    private Integer checkFlag;
}