package com.caimei.model.po;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * cm_brand_auth_user
 * @author 
 */
@Data
public class UserPo {
    /**
     * 用户id
     */
    private Integer authUserId;

    /**
     * 关联采美供应商id
     */
    private Integer cmShopId;

    /**
     * 账号名
     */
    private String name;

    /**
     * 前缀
     */
    private String prefix;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 密码
     */
    private String password;

    /**
     * 联系人
     */
    private String linkMan;

    /**
     * 用户身份：1管理员，2供应商
     */
    private Integer userIdentity;

    /**
     * 供应商类型：1品牌方，2代理商
     */
    private Integer shopType;

    /**
     * 代理商logo
     */
    private String logo;

    /**
     * 公众号二维码图片
     */
    private String qrCodeImage;

    /**
     * 微信公众号类型：1订阅号，2服务号
     */
    private Integer wxAccountType;

    /**
     * 公众号appId
     */
    private String appId;

    /**
     * 公众号appSecret
     */
    private String appSecret;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人用户Id
     */
    private Integer createBy;

    /**
     * 状态：0停用，1启用
     */
    private Integer status;
}