package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 选择地址下拉框列表 数据
 *
 * @author : Charles
 * @date : 2021/7/2
 */
@Data
public class AddressSelectVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    private Integer id;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("父级ID")
    private Integer parentId;

    @ApiModelProperty("子级列表")
    private List<AddressSelectVo> children;
}
