package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * cm_brand_article
 * @author Aslee
 * @date 2021/7/8
 */
@Data
public class ArticleFormVo {
    @ApiModelProperty("文章id")
    private Integer articleId;

    @ApiModelProperty("文章标题")
    private String articleTitle;

    @ApiModelProperty("文章图片")
    private String articleImage;

    @ApiModelProperty("文章内容")
    private String articleContent;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("审核状态:0审核未通过，1审核通过，2待审核")
    private Integer auditStatus;

    @ApiModelProperty("排序值")
    private Integer sort;

    @ApiModelProperty("文章类型")
    private Integer articleType;

    @ApiModelProperty("文章链接")
    private String articleLink;
}