package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * cm_brand_article
 * @author Aslee
 * @date 2021/7/8
 */
@Data
public class ArticleListVo {
    @ApiModelProperty("文章id")
    private Integer articleId;

    @ApiModelProperty("文章标题")
    private String articleTitle;

    @ApiModelProperty("文章图片")
    private String articleImage;

    @ApiModelProperty("审核状态：0审核未通过，1审核通过，2待审核")
    private Integer auditStatus;

    @ApiModelProperty("审核不通过原因")
    private String invalidReason;

    @ApiModelProperty("上线状态：0已下线，1已上线，2待上线")
    private Integer status;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("审核人")
    private String auditBy;

    @ApiModelProperty("审核时间")
    private Date auditTime;

    @ApiModelProperty("排序值")
    private Integer sort;

    @ApiModelProperty("是否查看过：1是，0否")
    private Integer checkFlag;
}