package com.caimei.model.vo;

import lombok.Data;

/**
 * table:cm_challenge_activity
 */
@Data
public class ChallengeActivityVo {
    private Integer id;
    /**
     * 供应商id
     */
    private Integer authUserId;
    /**
     * 活动开始时间
     */
    private String  startTime;
    /**
     * 活动结束时间
     */
    private String  endTime;
    /**
     * 活动开启状态(0：未开启；1：已开启)
     */
    private Integer status;
    /**
     * 0: 活动未开始 1：活动进行中 2：活动已结束
     */
    private Integer activityState;
}
