package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * cm_brand_file
 * @author Aslee
 * @date 2021/7/8
 */
@Data
public class CourseFileListVo {
    @ApiModelProperty("文件id")
    private Integer fileId;

    @ApiModelProperty("文件标题")
    private String fileTitle;

    @ApiModelProperty("文件名称")
    private String fileName;

    @ApiModelProperty("文件模块：1品牌授权-授权列表，2机构管理-机构列表")
    private String fileModule;

    @ApiModelProperty("文件链接")
    private String fileUrl;

    @ApiModelProperty("oss名称")
    private String ossName;

    @ApiModelProperty("创建时间")
    private Date createTime;
}