package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Data
public class DoctorFormVo implements Serializable {
    @ApiModelProperty("医师id")
    private Integer doctorId;

    @ApiModelProperty("机构id")
    private Integer authId;

    @ApiModelProperty("医师类型：1操作医师，2培训医师")
    private String doctorType;

    @ApiModelProperty("医师名称")
    private String doctorName;

    @ApiModelProperty("从业资格证编号")
    private String certificateNo;

    @ApiModelProperty("所属机构")
    private String clubName;

    @ApiModelProperty("医师照片")
    private String doctorImage;

    @ApiModelProperty("轮播图列表")
    private List<String> bannerList;

    @ApiModelProperty("标签列表")
    private List<String> tagList;

    @ApiModelProperty("仪器列表")
    private List<DoctorEquipmentVo> equipmentList;

    @ApiModelProperty("属性列表")
    private List<ParamVo> paramList;

}
