package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * cm_brand_file
 * @author Aslee
 * @date 2021/7/8
 */
@Data
public class FileListVo {
    @ApiModelProperty("文件id")
    private Integer fileId;

    @ApiModelProperty("文件标题")
    private String fileTitle;

    @ApiModelProperty("文件名称")
    private String fileName;

    @ApiModelProperty("文件预览链接")
    private String filePreviewUrl;

    @ApiModelProperty("oss名称")
    private String fileDownloadUrl;

    @ApiModelProperty("审核状态：0审核未通过，1审核通过，2待审核")
    private Integer auditStatus;

    @ApiModelProperty("审核不通过原因")
    private String invalidReason;

    @ApiModelProperty("上线状态：0已下线，1已上线，2待上线")
    private Integer status;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("审核人")
    private String auditBy;

    @ApiModelProperty("审核时间")
    private Date auditTime;

    @ApiModelProperty("是否查看过：1是，0否")
    private Integer checkFlag;
}