package com.caimei.model.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * cm_brand_image
 * @author Aslee
 * @date 2021/7/8
 */
@Data
public class ImageFormVo {
    @ApiModelProperty("图片id")
    private Integer imageId;

    @ApiModelProperty("图片标题")
    private String imageTitle;

    @ApiModelProperty("图片详情列表")
    private List<String> imageList;

    /**
     * 审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer auditStatus;
}