package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Aslee
 * @date 2021/5/17
 */
@Data
public class ProductListVo {
    /**
     * 商品id
     */
    private Integer productId;

    /**
     * 供应商用户id
     */
    private Integer authUserId;

    /**
     * 机构设备关联id
     */
    private Integer relationId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品SN码
     */
    private String snCode;

    /**
     * 上线状态：0下线，1上线，2待上线
     */
    private Integer status;

    /**
     * 审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer auditStatus;

    /**
     * 供应商审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer shopAuditStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 审核时间
     */
    private Date auditTime;

    /**
     * 审核人
     */
    private String auditBy;

    /**
     * 审核不通过原因
     */
    private String invalidReason;

    /**
     * 供应商审核不通过原因
     */
    private String shopInvalidReason;

    /**
     * 供应商审核人
     */
    private String shopAuditBy;

    /**
     * 供应商审核时间
     */
    private Date shopAuditTime;

    /**
     * 是否查看过：1是，0否
     */
    private Integer checkFlag;

    /**
     * 扫码次数
     */
    private Integer scanCount;
    /**
     * 商品图片
     */
    private String image;
}
