package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Aslee
 * @date 2021/5/17
 */
@Data
public class ProductTypeListVo {
    @ApiModelProperty("设备分类id")
    private Integer productTypeId;

    @ApiModelProperty("设备分类名称")
    private String name;

    @ApiModelProperty("设备分类图片")
    private String image;

    @ApiModelProperty("上线状态：0下线，1上线，2待上线")
    private Integer status;

    @ApiModelProperty("审核状态：0审核未通过，1审核通过，2待审核")
    private Integer auditStatus;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("审核时间")
    private Date auditTime;

    @ApiModelProperty("审核人")
    private String auditBy;

    @ApiModelProperty("审核不通过原因")
    private String invalidReason;

    @ApiModelProperty("是否查看过：1是，0否")
    private Integer checkFlag;
}
