package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Data
public class ShopListVo implements Serializable {
    @ApiModelProperty("供应商用户id")
    private Integer authUserId;

    @ApiModelProperty("供应商名称")
    private String name;

    @ApiModelProperty("登录账号")
    private String loginAccount;

    @ApiModelProperty("供应商前缀")
    private String prefix;

    @ApiModelProperty("供应商类型")
    private Integer shopType;

    @ApiModelProperty("品牌名称")
    private String brandName;

    @ApiModelProperty("品牌信息id")
    private String infoId;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("联系人")
    private String linkMan;

    @ApiModelProperty("供应商状态：0停用 1启用")
    private Integer shopStatus;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("下级审核状态,0未完成审核，1已完成审核")
    private Integer lowerAuditStatus;

    @ApiModelProperty("下级待审核数量")
    private Integer waitAuditNum;

    @ApiModelProperty("文章待审核数量")
    private Integer articleWaitNum;

    @ApiModelProperty("图片待审核数量")
    private Integer imageWaitNum;

    @ApiModelProperty("视频待审核数量")
    private Integer videoWaitNum;

    @ApiModelProperty("文件待审核数量")
    private Integer fileWaitNum;

    @ApiModelProperty("资料包待审核数量")
    private Integer zipWaitNum;

    @ApiModelProperty("医师待审核数量")
    private Integer doctorWaitNum;

    @ApiModelProperty("设备分类待审核数量")
    private Integer productTypeWaitNum;
}
