package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * cm_brand_video
 * @author Aslee
 * @date 2021/7/8
 */
@Data
public class VideoListVo {
    @ApiModelProperty("视频id")
    private Integer videoId;

    @ApiModelProperty("视频标题")
    private String videoTitle;

    @ApiModelProperty("视频封面")
    private String videoImage;

    @ApiModelProperty("视频名称")
    private String videoName;

    @ApiModelProperty("视频预览链接")
    private String videoPreviewUrl;

    @ApiModelProperty("oss名称")
    private String videoDownloadUrl;

    @ApiModelProperty("审核状态：0审核未通过，1审核通过，2待审核")
    private Integer auditStatus;

    @ApiModelProperty("审核不通过原因")
    private String invalidReason;

    @ApiModelProperty("上线状态：0已下线，1已上线，2待上线")
    private Integer status;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("审核人")
    private String auditBy;

    @ApiModelProperty("审核时间")
    private Date auditTime;

    @ApiModelProperty("是否查看过：1是，0否")
    private Integer checkFlag;
}