package com.caimei.model.vo;


import lombok.Data;

import java.util.Date;


/**
 * Description
 *
 * @author : Aslee
 * @date : 2022/2/15
 */
@Data
public class VipInfoVo {
    /**
     * 会员id
     */
    private Integer vipUserId;
    /**
     * 用户id
     */
    private Integer authUserId;
    /**
     * 手机号
     */
    private String mobile;
    /**
     * 登录账号
     */
    private String loginAccount;
    /**
     * 会员到期时间
     */
    private Date endTime;
    /**
     * 会员剩余天数
     */
    private Integer endDayLeft;
    /**
     * 试用期剩余天数
     */
    private Integer freeDayLeft;
    /**
     * 会员状态：0已过期，1生效中，2待生效，3非会员
     */
    private Integer vipStatus;
    /**
     * 是否在免费试用期内:0不是，1是
     */
    private Integer freeUseFlag;
    /**
     * 提示弹窗类型：0不弹窗，1试用即将到期，2试用已到期，3会员即将到期，4会员已到期
     */
    private Integer tipType;
}
