package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * cm_brand_image
 * @author Aslee
 * @date 2021/7/8
 */
@Data
public class WxImageListVo {
    @ApiModelProperty("图片id")
    private Integer imageId;

    @ApiModelProperty("图片标题")
    private String imageTitle;

    @ApiModelProperty("图片压缩包链接")
    private String imageZipUrl;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("图片详情列表")
    private List<String> imageList;
}