package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 微信公众号商品列表
 * @author Aslee
 * @date 2021/5/17
 */
@Data
public class WxProductListVo {
    @ApiModelProperty("机构设备关联id")
    private Integer relationId;

    @ApiModelProperty("商品id")
    private Integer productId;

    @ApiModelProperty("商品名称")
    private String productName;

    @ApiModelProperty("商品SN码")
    private String snCode;

    @ApiModelProperty("商品图片")
    private String productImage;

    @ApiModelProperty("审核状态：0未通过，1已通过，2待审核")
    private String auditStatus;

    /**
     * 设备关联的机构列表
     */
    private List<WxClubListVo> clubList;
}
