package com.caimei.service.auth;

import com.caimei.model.ResponseJson;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/7/8
 */
public interface DownloadService {
    /**
     * 下载文件
     * @param ossName        oss名称
     * @param fileName       文件名称
     * @param request
     * @param response
     */
    void downloadFile(String ossName, String fileName, HttpServletRequest request, HttpServletResponse response) throws IOException;

    /**
     * 一键下载授权牌,二维码
     * @param authIds
     * @param type
     */
    void downloadShopImage(String authIds, Integer type, HttpServletRequest request, HttpServletResponse response) throws Exception;

    /**
     * 导出授权机构数据
     * @param authIds
     * @param response
     * @return
     */
    ResponseJson downloadAuthData(String authIds, HttpServletResponse response);

    ResponseJson downloadProductData(String authIds, HttpServletRequest request, HttpServletResponse response) throws IOException;

    void downloadAuthTemplate(HttpServletRequest request, HttpServletResponse response) throws IOException;
}
