package com.caimei.service.wechat;

import com.caimei.model.ResponseJson;
import com.caimei.model.vo.WxClubUserVo;

import java.util.Map;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/7/15
 */
public interface WxUserService {

    /**
     * 获取用户信息
     *
     * @param mobile
     * @param authUserId
     * @return
     */
    ResponseJson<Map<String, Object>> getUserInfo(String mobile, Integer authUserId, Integer clubUserId, Integer authId);


    /**
     * 发送验证码
     */
    ResponseJson sendLoginCode(String mobile, Integer authUserId, Integer type);

    /**
     * 修改密码
     */
    ResponseJson updatePassword(String mobile, String verifyCode, String password, Integer authUserId);
}
